Subject: Re: [PATCH] Fix locking bug in lltx path

From: "David S. Miller" <[email-masked]>
Date: Mon, 13 Sep 2004 13:02:44 -0700

On Mon, 13 Sep 2004 21:26:49 +0200
Andi Kleen <[email-masked]> wrote:

> On Mon, Sep 13, 2004 at 12:18:59PM -0700, David S. Miller wrote:
> > On Mon, 13 Sep 2004 20:11:00 +0200
> > Andi Kleen <[email-masked]> wrote:
> > 
> > > Thanks to Arjan's spinlock debug kernel for finding it.
> > > 
> > > This fixes a silly missing spin lock in the relock path. For some 
> > > reason it seems to still work when you don't have spinlock debugging
> > > enabled.
> > > 
> > > Please apply.
> > 
> > Good catch, but I'll need to fix this up to use the new macros
> > defined in linux/netdevice.h
> 
> Ok, do you want me to send a new patch with that? 

I'll take care of it.

> I don't think the new macros are in -bk* snapshots yet,
> and getting it otherwise is difficult for me.

It's in 2.6.9-rc2